CVE-2002-0566
CVSS5.0
发布时间 :2002-07-03 00:00:00
修订时间 :2008-09-05 16:28:21
NMCOS    

[原文]PL/SQL module 3.0.9.8.2 in Oracle 9i Application Server 1.0.2.x allows remote attackers to cause a denial of service (crash) via an HTTP Authorization header without an authentication type.


[CNNVD]Oracle 9iAS PL/SQL Apache模块远程拒绝服务漏洞(CNNVD-200207-027)

        
        Oracle 9iAS(Application Server)的web服务使用的是Apache web Server,它提供了多种应用环境,包括SOAP, PL/SQL, XSQL 以及JSP。
        Oracle 9iAS的PL/SQL Apache模块中存在远程拒绝服务漏洞,允许远程攻击者使服务器停止正常服务。
        当向PL/SQL模块发送一个畸形请求时:包含一个HTTP客户端的认证头(Authorization header),但是没有设置认证类型。将使Apache服务发生非法访问,必须重新启动服务才能恢复正常工作。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:oracle:oracle8i:8.1.7
cpe:/a:oracle:application_server:1.0.2Oracle Application Server 9i 1.0.2
cpe:/a:oracle:oracle9i:9.0
cpe:/a:oracle:oracle9i:9.0.1
cpe:/a:oracle:oracle8i:8.1.7_.1
cpe:/a:oracle:application_server_web_cache:2.0.0.0Oracle Oracle9iAS Web Cache 2.0.0.0
cpe:/a:oracle:application_server_web_cache:2.0.0.1Oracle Oracle9iAS Web Cache 2.0.0.1
cpe:/a:oracle:application_server_web_cache:2.0.0.3Oracle Oracle9iAS Web Cache 2.0.0.3
cpe:/a:oracle:application_server_web_cache:2.0.0.2Oracle Oracle9iAS Web Cache 2.0.0.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0566
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0566
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200207-027
(官方数据源) CNNVD

- 其它链接及资源

http://www.cert.org/advisories/CA-2002-08.html
(VENDOR_ADVISORY)  CERT  CA-2002-08
http://www.kb.cert.org/vuls/id/805915
(UNKNOWN)  CERT-VN  VU#805915
http://xforce.iss.net/static/8099.php
(VENDOR_ADVISORY)  XF  oracle-appserver-plsql-pls-dos(8099)
http://www.securityfocus.com/bid/4037
(VENDOR_ADVISORY)  BID  4037
http://otn.oracle.com/deploy/security/pdf/ias_modplsql_alert.pdf
(VENDOR_ADVISORY)  CONFIRM  http://otn.oracle.com/deploy/security/pdf/ias_modplsql_alert.pdf

- 漏洞信息

Oracle 9iAS PL/SQL Apache模块远程拒绝服务漏洞
中危 其他
2002-07-03 00:00:00 2005-10-20 00:00:00
远程  
        
        Oracle 9iAS(Application Server)的web服务使用的是Apache web Server,它提供了多种应用环境,包括SOAP, PL/SQL, XSQL 以及JSP。
        Oracle 9iAS的PL/SQL Apache模块中存在远程拒绝服务漏洞,允许远程攻击者使服务器停止正常服务。
        当向PL/SQL模块发送一个畸形请求时:包含一个HTTP客户端的认证头(Authorization header),但是没有设置认证类型。将使Apache服务发生非法访问,必须重新启动服务才能恢复正常工作。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 在边界防火墙或者主机防火墙上限制对Oracle Apache web server 80/TCP端口的访问。
        厂商补丁:
        Oracle
        ------
        Oracle已经为此漏洞提供了相应补丁程序,CNNVD建议您随时关注厂商主页以获取相关补丁:
        
        http://metalink.oracle.com

- 漏洞信息

9474
Oracle PL/SQL Module HTTP Authorization Header DoS
Denial of Service
Loss of Availability
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-01-10 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Oracle 9iAS Apache PL/SQL Module Denial of Service Vulnerability
Failure to Handle Exceptional Conditions 4037
Yes No
2002-02-06 12:00:00 2009-07-11 09:56:00
Discovered by David Litchfield (david@nextgenss.com) of Next Generation Security Software.

- 受影响的程序版本

Stonesoft StoneBeat GUI 2.0 0.3
Stonesoft StoneBeat GUI 2.0 .0.3
Oracle Oracle9i Standard Edition 9.0.1
Oracle Oracle9i Standard Edition 9.0
Oracle Oracle9i Application Server Web Cache 2.0 .0.3
- Oracle Oracle9i Application Server
Oracle Oracle9i Application Server Web Cache 2.0 .0.2 NT
- Oracle Oracle9i Application Server
Oracle Oracle9i Application Server Web Cache 2.0 .0.2
- Oracle Oracle9i Application Server
Oracle Oracle9i Application Server Web Cache 2.0 .0.1
- Oracle Oracle9i Application Server
Oracle Oracle9i Application Server Web Cache 2.0 .0.0
- Oracle Oracle9i Application Server
Oracle Oracle9i Application Server 1.0.2
Oracle Oracle8i Standard Edition 8.1.7 .1
Oracle Oracle8i Standard Edition 8.1.7

- 漏洞讨论

The Oracle 9iAS web service is powered by the Apache webserver. Included is an Apache module for PL/SQL support.

If a request is made to the pls module with a HTTP client authorization header set, and with no auth type defined, the server will suffer an access violation error. A restart is required in order to regain normal functionality.

It has been reported that this is not the result of a buffer overflow, and it is not believed to be exploitable to execute code.

- 漏洞利用

No exploit code is required to take advantage of this issue.

- 解决方案

Oracle has fixes available at http://metalink.oracle.com.


Oracle Oracle9i Application Server 1.0.2

Oracle Oracle8i Standard Edition 8.1.7

Oracle Oracle8i Standard Edition 8.1.7 .1

Oracle Oracle9i Standard Edition 9.0.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站